Proprietární video drivery pro F9 / Xorg 1.5

Máte někdo pls ověřeno / vysledováno jak to aktuálně vypadá s proprietárními drivery ATI / NVidia ? Na phoronix.com se už dříve objevilo info, že do konce května budou plně funkční fglrx drivery. Ale pak přišlo další info, že fglrx pro Xorg 1.5 nebude dokud Xorg 1.5 nevyjde jako stabilní verze (což podle www.x.org mělo být původně v květnu, ale teď to spíše vypadá na konec roku). :frowning:

Kde si cetl ze ma byt vydan az na konci roku?
http://www.phoronix.com/scan.php?page=article&item=xorg_74_slow&num=1
Tady pisou, ze to teda na kveten uz nevypada, nejdriv cerven, coz neni tedy prilis pozitivni, ale neni to tak hrozne.

To co pises o fglrx jsem cetl o driverech Nvidie, ktere jsou ale jinak snad dostupne v testovacich repozitarich. Jak moc jsou ale funkcni to nevim. O fglrx jsem zatim necetl vubec nic. Vzhledem k nedavne zprave o funkcnosti podpory R500 v otevrenem radeon driveru, spise doufam v tento nez fglrx.

Nemohu se zbavit dojmu, že jsem na www.x.org dříve viděl plánované uvolnění verze 7.4 právě na květen 2008. Teď je tam jen prostě 2008. Ale možná jsem pesimistější než by si ten stav zasloužil.

Ta zmínka na phoronixu, že nemá smysl vyvíjet nový fglrx driver dříve než v xorgu budou odstraněny všechny hlášené chyby, tam už byla při “vydání RC” F9.

A že ten sdělený odklad typu “nejdřív červen” není tak hrozný? Mně připadá vždy léto po stránce vývoje software zcela mrtvé. Co se nestihne do konce června, to se stejně odloží na září a nakonec budeme rádi, když 3d drivery pojedou v desítce. Jsem z toho docela napruzený. Jakoby nestačila pohroma KDE4.0, ještě musel přijít Xorg1.5. Neměly by sakra takové živelné pohromy chodit postupně s dostatečným odstupem?

Chapu to, nastesti je tu porad moznost pouzivat F8… i kdyz samozrejme to neni idealni.

Hmmmm. Ideální by to bylo, kdyby vycházely aktualizované balíčky i pro starší verze. Ale v osmičce už se člověk dočká jen kritických oprav.

A jak je to s primou instalaci driveru (Nvidia)?
Koncem kvetna vyslo nove vydani.
Zkusil nekdo pouzit primou instalaci techto driveru do F9?

Potrebuji binarni ovladace kvuli rozliseni monitoru, bez nich mi grafika vubec nejede, nemuzu to jen tak vyzkouset a musim zustat u F8.

Novy driver z 28.5.:
http://www.nvidia.com/object/linux_display_ia32_173.14.05.html
nebo
http://www.nvidia.com/object/linux_display_amd64_173.14.05.html

Postup je tady:

Diky,
JF

Prima instalace neni potreba. Ovladace uz jsou v livna a jak je videt z navodu tak i v freshrpms repozitarich.

Tak to je dobrá zpráva. To už bude přechod na devítku skoro bezbolestný. Jen je škoda, že za ten skoro měsíc od takhle horkého vydání určitě spousta lidí stihla migrovat k jiným distribucím.

nVidia ovladace funguji - odzkouseno na nVidia 6500 a 7500.
Ati ati… kdy budou tve ovladace funkcni…

To JX

Dle mě to zastoupení fedory nijak neovlivní. S fedorou jsi musel mít v počátku vždy trpělivost. Ti jež to vědí u ní zůstanou a ostatní se holt poohlídnou jinde.

Ať je to fedora nebo ubuntu, furt je to dobře :slight_smile:

Chápu, ale dovolím si nesouhlasit. Používám Fedoru od jedničky a před tím RH. Ale tento příspěvek píšu (nedobrovolně) z Ubuntu. Situace s dirvery mne naprosto “dohání k šílenství” :-(.
Jakmile totiž má někdo “smůlu” (jako já) a vlastí ntb s Ati a k tomu externí displej s rozlišením 1680x1050 tak má s devítkou prostě “smůlu”. Ale ono to nebylo příliš slavné ani na nižších verzích. A pokud na takovém ntb MUSÍTE PRACOVAT, tak Vám nezbyde než to řešit. Osmička řešení není, protože tam to také není žádná sláva, ale aspoň to nějak funguje.
Takže Vám nezbyde než se “po letech” nedobrovolně rozhlédnout po jiném distru.
Mně osobně připadá Ubuntu Fedoře nejblíž. A musím říct, že ovladače mi fungují včetně všech efektů 3D desktopu. To sice není důležité, ale o čemsi to vypovídá.
Osobně mne to “pěkně štve” a raději skončím, protože bych mohl napsat něco, co by mne pak mrzelo… :-(((

Přidám se k tomuto nesouhlasu. Běžná ostrá distrubuce je určena pro běžné normální uživatele. A být první s xorgem 1.5 za cenu, že je uveden ještě v nedokončené verzi, dělá obecně linuxu dost špatnou vizitku. Fedora měla vždy v minulosti jako nástupce free verzí redhatu dobré jméno. A tak se není co divit že si doposud mnoho lidí sáhne po Fedoře coby po své první distribuci. Nainstalují, zjistí že neběží video drivery, že nefunguje synaptic driver a mnoho jiného - a jdou si někam koupit oem verzi Visty.
Já osobně bych v tomhle stavu doporučil začít projevovat s Fedorou nespokojenost. A jak jinak než se kouknout po jiné distribuci. Snad pak jednou slábnoucí komunita přiměje někoho z tvůrců Fedory, aby rawhide zůstal jen rawhide a ostrá verze byla opravdu v mezích možností ostrá verze.

Vidím to naprosto shodně. A je mi to obrovsky líto.
Do nedávna jsem měl na Fedoře šest firemních desktopů (na jednom notebooku je ještě šestka) - (vím, že to byl “hazard”, ale stálo mně to za to ;-))
Nicméně jsem se postupnými upgrady dopracoval do situace, kdy je Fedora (ve stávající verzi) pro tyto účely úplně nepoužitelná :-(.
Kdyby mně na Fedoře nezáleželo, tak by mi to bylo jedno. Jen mi není jasné kde bych tu nespokojenost měl vyjadřovat. A také si nejsem jistý, jestli to opravdu může něco změnit :frowning:
Snažil jsem se “vydržet”, ale už to opravdu nejde. Ta poznámka o rawhide a ostré verzi je úplně přesná. Ony to totiž nejsou jen ovladače grafických karet ale celková filozofie. Nevím jestli pokrok “za každou cenu” je úplně nejlepší volba…

Mne osobne ta filozofie zatim vyhovuje a proto pouzivam prave Fedoru a proto mam na vsech strojich grafiku od nVidie :wink:

BTW: nVidia vydala novou verzi ovladacu, ktere podporuji i jadro 2.6.26 a navic vylepsuje podporu x.org 1.5!

Hmmm, vy jste měl tedy, díky “dobrému rozhodnutí”, nad další verzí zatnuté zuby jen měsíc. Tedy, pokud to dobře počítám, šestinu životní doby distribuce. :slight_smile:

Nj mesic bez compizu, ale dalo se to vydrzet :wink: Nastesti je jiz ovladac nv, co se 2D tyka, na slusne urovni.

U ATI je to asi jako vzdy ne na tydny ani mesice ale na roky :frowning:

Ono to neni jen cernobile. Kdyz uz se vyvojari rozhodnou integrovat x.org 1.5 do nove verze distribuce (protoze Fedora je proste pokrokova) ale vydani 1.5 se stale odsouva a odsouva a vypada to, ze uz asi ani letos nevyjde, ma se vydani F9 pozdrzet o pul roku o rok??? Uroven vydavani novych verzi x.org je cimdal horsi: zadny release plan, odsuny terminu nejprve o mesice az nakonec vyusti v naproste zruseni jakychkoliv terminu, seznam novych featur se prenasi z jedne verze do druhe a mozna se ani implementace nekterych z nich nikdy nedockame.
Podobne je to s proprietarnimi ovladaci -> co s tim mohou vyvojari Fedory udelat? Jit snad do AMD pomoct s vyvojem fglrx? Ne AMD si do toho nenecha kecat a stale si bude delat co chce. Mel jsem chvili notas s ATI a uz nikdy vice: co verze ovladace to neco bud prestalo nebo zacalo fungovat. Nakonec bylo lepsi ozelet 3D a pouzivat OpenSource ovladace.

Myslim si, ze posunout release distribuce je dobre rozhodnuti, pokud jsou nedoresene kriticke problemy, ale posunout ho kvuli (ne)vydani proprietarnich ovladacu je nesmysl, protoze pak uz se muze veskery release plan uplne zrusit a bylo by jen “nekdy v budoucnu vyjde Fedora 10” stejne jako je tomu uz ted u “nekdy se mozna dockate finalni verze x.org 1.5”.

Vase rozhorceni plne chapu. Sam jsem ted dva dny zapasil s Video-In na Ati kartach a v podstate to vzdavam. Zvlastni je, ze v tomto pripade na Radeon 9200 s OS ovladacem funguje s ATI ovladacem ne. A tak tu ted mam 6 grafik - Matrox G200, Radeon 9200, Radeon HD 2400, Nvidia 6100, Nvidia 7500 a Intel GMA950. Se vsemi mi Fedora funguje s OS drivery, jenze neumi vsechno. Jedine Nvidia karty s jejich proprietarnim driverem funguje temer na 1 (pravda Intel jsem moc nezkousel, ten asi taky). Problem ale neni ve Fedore, problem je u vyrobce ovladacu. To ze v Ubuntu funguje je proste “podlezavost” Ubuntu - “mi do novejsiho Xorg nepujdeme, protoze uzivatele by na nas byly nastvany, at si to odsere Fedora”. A az si to jednou Fedora odsere uplne, kdo bude pro Ubuntu ty nove Xorg testovat a vyvijet? Debian testing? A jak dlouho ten? Je pravda ze na testovani je Rawhide. Jenze to co je v F9 s opensource ovladaci funguje a v podstate dobre. Takze kde je skutecne problem? Podle me tady: http://support.ati.com/ics/survey/survey.asp?deptID=894&surveyID=508&type=web

Já bych to viděl vcelku prostě. Do oficiální distribuce patří jen dokončené oficiální verze software. Xorg 1.4.99 měl být jen v rawhide. Tady není co diskutovat. Zvláště pokud s vývojem xorgu byly problémy už v minulosti.

Ati bych se ale poněkud zastal. Na rozdíl od nvidie přeci jen aktivně spolupracuje v rámci poskytování technických informací nutných pro tvorbu opensource ovladačů.

S tou pokrokovostí Fedory je to ale opravdu černobílé. V poslední době se nemohu zbavit dojmu, že na nové aktuální balíčky nových verzí sw čekáme strašlivě dlouho. Mnohdy se navíc i tvorba aktuálních balíčků pro aktuální verzi zařízne a novou verzi sw najdete jen v development (rawhide). Nejlepší jsou situace, kdy se jedna část systému zaktualizuje běžnou aktualizací a druhá, na ní závislá, je už plánována až do nové verze. Na druhé straně, pokud může vyjít nový kernel s nějakou tou chybkou, tak se ho dočkáte ve Fedoře ze všeho nejdřív. :slight_smile:

Ja na novem X.org zatim zadnou nestabilitu nepozoruju (narozdil od NetworkManager, PackageKit, …), tak nevim proc by nemel byt v F9. V distribuci jsou mnohem horsi balicky s verzemi napriklad 0.0.0.1-svn20050801 :slight_smile:

Ale s temi aktualizacemi nekterych balicku mate pravdu. Napriklad prave Firefox 3 muze byt prikladem. Mermomoci musel byt v F9 a behem vydani byl jeste beta. Doted se ale neaktualizoval, i kdyz bylo mezi tim vydano nekolik verzi. Az dnes aktualizace na final … Dalsim tipyckym prikladem je compiz, pravidelne prijde nova verze az s novou verzi distribuce :frowning:

Mně tato filozofie vyhovovala až dosud také :slight_smile:
S grafikou máte štěstí, že jste si mohl vybrat…
Ne všichni ale takové štěstí mají (=já)